Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.afp.modca
Class IMImageObject

    java.lang.Object
      org.apache.fop.afp.modca.AbstractAFPObject
          org.apache.fop.afp.modca.AbstractStructuredObject
              org.apache.fop.afp.modca.AbstractTripletStructuredObject
                  org.apache.fop.afp.modca.AbstractNamedAFPObject
                      org.apache.fop.afp.modca.IMImageObject

All Implemented Interfaces:
  Streamable

public class IMImageObject
extends AbstractNamedAFPObject

An IM image data object specifies the contents of a raster image and its placement on a page, overlay, or page segment. An IM image can be either simple or complex. A simple image is composed of one or more Image Raster Data (IRD) structured fields that define the raster pattern for the entire image. A complex image is divided into regions called image cells. Each image cell is composed of one or more IRD structured fields that define the raster pattern for the image cell, and one Image Cell Position (ICP) structured field that defines the position of the image cell relative to the origin of the entire image. Each ICP also specifies the size of the image cell and a fill rectangle into which the cell is replicated.

Nested Class Summary

Nested classes inherited from class org.apache.fop.afp.modca.AbstractAFPObject
`AbstractAFPObject.Category, AbstractAFPObject.Type`

Field Summary

Fields inherited from class org.apache.fop.afp.modca.AbstractNamedAFPObject
`name`

Fields inherited from class org.apache.fop.afp.modca.AbstractTripletStructuredObject
`triplets`

Fields inherited from class org.apache.fop.afp.modca.AbstractAFPObject
`log, SF_CLASS, SF_HEADER`

Constructor Summary
`IMImageObject(java.lang.String name)` Constructor for the image object with the specified name, the name must be a fixed length of eight characters.

Method Summary
`void` | `setImageCellPosition(ImageCellPosition imageCellPosition)` Sets the ImageCellPosition.
`void` | `setImageInputDescriptor(ImageInputDescriptor imageInputDescriptor)` Sets the ImageInputDescriptor.
`void` | `setImageOutputControl(ImageOutputControl imageOutputControl)` Sets the ImageOutputControl.
`void` | `setImageRasterData(ImageRasterData imageRasterData)` Sets the ImageRastorData.
`protected void` | `writeContent(java.io.OutputStream os)` Helper method to write the contents of the Object.
`protected void` | `writeEnd(java.io.OutputStream os)` Helper method to write the end of the Object.
`protected void` | `writeStart(java.io.OutputStream os)` Helper method to write the start of the Object.

Methods inherited from class org.apache.fop.afp.modca.AbstractNamedAFPObject
`copySF, getName, getNameBytes, getNameLength, setName, toString`

Methods inherited from class org.apache.fop.afp.modca.AbstractTripletStructuredObject
`addTriplet, addTriplets, getFullyQualifiedName, getTripletDataLength, getTriplets, hasTriplet, hasTriplets, setComment, setFullyQualifiedName, setObjectClassification, writeTriplets`

Methods inherited from class org.apache.fop.afp.modca.AbstractStructuredObject
`writeToStream`

Methods inherited from class org.apache.fop.afp.modca.AbstractAFPObject
`copyChunks, copySF, truncate, writeChunksToStream, writeObjects`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IMImageObject

    public IMImageObject(java.lang.String name)

  Constructor for the image object with the specified name, the name must be a fixed length of eight characters.

Parameters:
  `name` - The name of the image.

Method Detail

### setImageOutputControl

    public void setImageOutputControl(ImageOutputControl imageOutputControl)

  Sets the ImageOutputControl.

  Parameters:
    `imageOutputControl` - The imageOutputControl to set

### setImageCellPosition

    public void setImageCellPosition(ImageCellPosition imageCellPosition)

  Sets the ImageCellPosition.

  Parameters:
    `imageCellPosition` - The imageCellPosition to set

### setImageInputDescriptor

    public void setImageInputDescriptor(ImageInputDescriptor imageInputDescriptor)

  Sets the ImageInputDescriptor.

  Parameters:
    `imageInputDescriptor` - The imageInputDescriptor to set

### setImageRasterData

    public void setImageRasterData(ImageRasterData imageRasterData)

  Sets the ImageRastorData.

  Parameters:
    `imageRasterData` - The imageRasterData to set

### writeContent

    protected void writeContent(java.io.OutputStream os)
                         throws java.io.IOException

  Helper method to write the contents of the Object.

  Overrides:
    `writeContent` in class `AbstractStructuredObject`
  Parameters:
    `os` - The stream to write to
  Throws:
    `java.io.IOException` - throws an I/O exception if one occurred

### writeStart

    protected void writeStart(java.io.OutputStream os)
                       throws java.io.IOException

  Helper method to write the start of the Object.

  Overrides:
    `writeStart` in class `AbstractStructuredObject`
  Parameters:
    `os` - The stream to write to
  Throws:
    `java.io.IOException` - throws an I/O exception if one occurred

### writeEnd

    protected void writeEnd(java.io.OutputStream os)
                     throws java.io.IOException

  Helper method to write the end of the Object.

  Overrides:
    `writeEnd` in class `AbstractStructuredObject`
  Parameters:
    `os` - The stream to write to
  Throws:
    `java.io.IOException` - an I/O exception if one occurred

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.